<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AppendProductList.aspx.cs" Inherits="RM.Web.Mall.AppendShop.AppendProductList" %>

<%@ Register Src="/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_zdycpgl")%></title>
        <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/jquery.pullbox.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $(".div-body").PullBox({ dv: $(".div-body"), obj: $("#table1").find("tr") });
            divresize(90);
            FixedTableHeader("#table1", $(window).height() - 118);
        })
        function add() {
            var url = "/Mall/AppendShop/AppendProductForm.aspx";
//            top.openDialog(url, 'Mall_ADForm', '图片信息 - 添加', 700, 400, 50, 50);
            window.location = url;
        }
        function edit() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Mall/AppendShop/AppendProductForm.aspx?key=" + key;
//                top.openDialog(url, 'Mall_ADForm', '图片信息-编辑', 700, 400, 50, 50);
                window.location = url;
            }
        }

        function Delete() {
            var key = CheckboxValue();
            if (IsDelData(key)) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_zdycpgl")%>&tableName=Base_AppendProduct&pkName=AppendProduct_ID&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm)
            }
        }
        //生成静态页面
        function createhtml() {
            var arrt = new Array();
           
            var key = "";
            var url = "/Mall/Mall_ProductInfo.aspx?id="
            key = CheckboxValue();
            if (CheckboxValue()) {
                getAjax("AppendCreateHtml.ashx", "key=" + key + "&url=" + url, function (rs) {
                    if (rs == "1") {
                        showTipsMsg('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_jtsucc")%>', 1500, 4);
                        windowload();
                    } else {
                        showTipsMsg('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_jtshibai")%>', 1500, 5);
                    }
                }
           );
            }
        }
    
    </script>
</head>
<body>
 <form id="form1" runat="server">
    <div id="load">
        <div class="btnbartitle">
            <div>
                <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_zdycpgl")%>
            </div>
        </div>
        <div class="btnbarcontetn">
            <div style="text-align: right">
                <uc2:LoadButton ID="LoadButton1" runat="server" /><a title='<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CoursewareType_Form_spbz")%>' href="http://tks.1039.cn/Training/Learn/LearnPC.aspx?Key=496439ca-a068-4d18-81c0-5f3951ab458c" target="_blank" class="button green"><span class="icon-botton" style="background: url('/Themes/images/16/folder_film.png') no-repeat scroll 0px 4px;"></span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CoursewareType_Form_spbz")%></a>
            </div>
        </div>
     
        <div class="div-body">
            <%=wintable %>
        </div>
        <uc1:PageControl ID="PageControl1" runat="server" />
    </div>
    </form>
</body>
</html>
